Bug 1044139 - [RFE] Support RFC 4527 Read Entry Controls
Summary: [RFE] Support RFC 4527 Read Entry Controls
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:18 UTC by Nathan Kinder
Modified: 2015-03-05 09:29 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Enhancement
Doc Text:
Feature: One of the LDAP standards RFC 4527 Read Entry Controls has been newly supported. For more details, see also RFC: https://tools.ietf.org/html/rfc4527
Clone Of:
Environment:
Last Closed: 2015-03-05 09:29:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 21:18:15 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/589

The read entry controls specified in RFC 4527 could come in very useful for clients who want to read their writes.  Now that 389 DS has converted most of it's plug-ins that perform internal write operations to betxn plug-ins, we would be able to return an entry that was modified by a plug-in with the post-read control.  This would be very useful when using plug-ins like DNA or memberOf.

Comment 2 Jenny Severance 2014-10-23 15:18:56 UTC
See https://tools.ietf.org/html/rfc4527 for implementation and behaviour for this RFE.

Comment 3 Amita Sharma 2014-11-18 06:39:11 UTC
- Test Plan Created :: https://tcms.engineering.redhat.com/plan/15498/rfc-4527-read-entry-controls#testcases
- Initial Functional Testing is successful.
- Marking bug as verified. new separate bugs will be opened at later stage when detailed test execution will be done.

Comment 5 errata-xmlrpc 2015-03-05 09:29:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.